org.apache.catalina.connector

## Class CoyotePrincipal

- java.lang.Object
- - org.apache.catalina.connector.CoyotePrincipal

- All Implemented Interfaces:
    Serializable, Principal

      public class CoyotePrincipal
      extends Object
      implements Principal, Serializable

  Generic implementation of java.security.Principal that is used to represent principals authenticated at the protocol handler level.
  Author:
    Remy Maucherat
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name` The username of the user represented by this Principal.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoyotePrincipal(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `String` | `toString()` Return a String representation of this object, which exposes only information that should be public.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `equals, hashCode`

- - ### Field Detail

    - #### name

          protected String name

      The username of the user represented by this Principal.

  - ### Constructor Detail

    - #### CoyotePrincipal

          public CoyotePrincipal(String name)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Principal`

    - #### toString

          public String toString()

      Return a String representation of this object, which exposes only information that should be public.
      Specified by:
        `toString` in interface `Principal`
      Overrides:
        `toString` in class `Object`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.